VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::UnexpectedInput Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::UnexpectedInput:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::UnexpectedInput` error indicates that the request contained a parameter or field whose name is not known by the server.

Every method expects parameters with known names. Some of those parameters may be (or contain) classes , and the method expects those classes to contain fields with known names. If the method receives parameters or fields* with names that is does not expect, this error may be reported.

This error can be reported by the API infrastructure for any method , but it is specific to the API infrastructure, and should never be reported by the implementation of any method .

Examples:

- A client using stubs generated from the interface specification for version2 of a interface* invokes the method passing one or more parameters that were added in version2, but they are communicating with a server that only supports version1 of the interface .
- A client provides an unexpected parameter or field name when invoking the method* using a dynamic interface (for example REST).

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::UnexpectedInput::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::UnexpectedInput structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::UnexpectedInput');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.unexpected_input');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/UnexpectedInput.pm